| Home | Libraries | People | FAQ | More

#### buffer (10 of 28 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffers_1 buffer(
        const PodType (&data)[N],
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        static_cast<const void*>(data),
        min(N * sizeof(PodType), max_size_in_bytes));